<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row">
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "forecast_no"|normalize|title }}*</label>
                    <input type="text" class="form-control" value="{{ record.forecast_no }}" readonly />
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "last_modified"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{{ record.last_modified_by }} - {{ record.date_last_modified|humandate }}" readonly />
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-12" data-product-container>
        <h5>List of Products</h5>
        <div class="row">
            <div class="col-12 col-md-3">
                <a class="btn btn-warning btn-sm btn-block" href="javascript:;" data-product-toggle="add"> <i class="fa fa-plus"></i> Add Product</a>
            </div>
        </div>
        {% for finished_good in record.finished_goods %}
        <div class="row {{ loop.cycle('gray-bg', '') }}" data-form-dynamic>
            <div class="col-6 col-md-4">
                <div class="form-group">
                    <label><b>Product Code*</b></label>
                    <select name="finished-goods-formula_no" class="form-control" data-ajax-select-target="/api/v1/formulas/all?valid=True&fields=product_code,description,variant" data-ajax-select-value="_id" data-ajax-select-label="product_code,description,variant" placeholder="-- Select Product Code --" required data-default-value="{{ finished_good.formula_no }}">
                        <option value="">-- Select Product Code --</option>
                    </select>
                </div>
            </div>
            <div class="col-6 col-md-4">
                <div class="form-group">
                    <label>Bulk (kgs)</label>
                    <div class="input-group input-group-sm">
                        <input type="number" name="finished-goods-bulk-weight" class="form-control" min="0" step="0.0001" data-default-value="{{ finished_good.bulk_kgs }}" value="{{ finished_good.bulk_kgs }}" style="border-top-left-radius:30px;border-bottom-left-radius:30px" />
                        <div class="input-group-append">
                            <div class="input-group-text" style="border-top-right-radius:30px;border-bottom-right-radius:30px;padding-left:50px">= 0 pieces</div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-6 col-md-4">
                <div class="form-group">
                    <label>Bulk (pcs)</label>
                    <div class="input-group input-group-sm">
                        <input type="number" name="finished-goods-bulk-quantity" class="form-control" min="0" step="0.0001" data-default-value="{{ finished_good.bulk_pcs }}" value="{{ finished_good.bulk_pcs }}" style="border-top-left-radius:30px;border-bottom-left-radius:30px" />
                        <div class="input-group-append">
                            <div class="input-group-text" style="border-top-right-radius:30px;border-bottom-right-radius:30px;padding-left:50px">= 0 kgs</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
<div class="row">
    <div class="col-12">
        <h5>Raw Materials</h5>
        <table class="table table-striped table-hover table-bordered">
            <thead>
                <tr>
                    <th>Item Code</th>
                    <th>Description</th>
                    <th>Unit</th>
                    <th>Required</th>
                    <th>Stock on Hand</th>
                    <th>On Hold</th>
                    <th>Delta</th>
                </tr>
            </thead>
            <tbody data-materials-editable-container="raw_materials"></tbody>
        </table>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <h5>Packaging Materials</h5>
        <table class="table table-striped table-hover table-bordered">
            <thead>
                <tr>
                    <th>Item Code</th>
                    <th>Description</th>
                    <th>Unit</th>
                    <th>Required</th>
                    <th>Stock on Hand</th>
                    <th>On Hold</th>
                    <th>Delta</th>
                </tr>
            </thead>
            <tbody data-materials-editable-container="packaging_materials"></tbody>
        </table>
    </div>
</div>
